
#version 460

layout (location = 0) in vec2 vertexPos;
layout (location = 1) in vec4 vertexColor;
uniform mat4 transform;

out vec4 finalVertexColor;

void main() {
	gl_Position = transform * vec4(vertexPos, 0.5, 1.0);
	finalVertexColor = vertexColor;
}
